PIJUICE(4)

NAME
pijuice - PiJuice HAT UPS

SYNOPSIS
pijuice* at iic?

DESCRIPTION
The pijuice driver provides support for the PiJuice HAT, an uninterruptible power supply for the Raspberry Pi. The integrated STM32F030CCT6 micro controller provides access through the I2C bus to several battery status values.

SEE ALSO
iic(4), intro(4), maxrtc(4), apm(8), sysctl(8)

HISTORY
The pijuice driver first appeared in OpenBSD 7.3.

AUTHORS
-nosplit The pijuice driver was written by Marcus Glocker <mglocker@openbsd.org>.

CAVEATS
The PiJuice HAT EEPROM currently doesn't contain the device tree information to match and attach this device. It requires a custom device tree blob overlay which gets loaded during the bootstrapping process.